
package de.ivu.elect.interfaces.core;

import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Fremdkandidatur extends Person {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = false)
  private Date datumPruefung;

  @XmlElement(required = true)
  private BescheinigungDokumentStatus bescheinigungDokumentStatus;

  @XmlElement(required = false)
  private String bescheinigungDokumentErstelltVon;

  @XmlElement(required = false)
  private Date bescheinigungDokumentErstelltAm;

  public Fremdkandidatur() {
    super();
  }

  public Date getDatumPruefung() {
    return datumPruefung;
  }

  public void setDatumPruefung(Date datumPruefung) {
    this.datumPruefung = datumPruefung;
  }

  public BescheinigungDokumentStatus getBescheinigungDokumentStatus() {
    return bescheinigungDokumentStatus;
  }

  public void setBescheinigungDokumentStatus(BescheinigungDokumentStatus bescheinigungDokumentStatus) {
    this.bescheinigungDokumentStatus = bescheinigungDokumentStatus;
  }

  public String getBescheinigungDokumentErstelltVon() {
    return bescheinigungDokumentErstelltVon;
  }

  public void setBescheinigungDokumentErstelltVon(String bescheinigungDokumentErstelltVon) {
    this.bescheinigungDokumentErstelltVon = bescheinigungDokumentErstelltVon;
  }

  public Date getBescheinigungDokumentErstelltAm() {
    return bescheinigungDokumentErstelltAm;
  }

  public void setBescheinigungDokumentErstelltAm(Date bescheinigungDokumentErstelltAm) {
    this.bescheinigungDokumentErstelltAm = bescheinigungDokumentErstelltAm;
  }
}
